h, w = map(int, input().split())


def count(n, m):
    if n == m == 1:
        return 1
    if n == 0 or m == 0:
        return 0
    maxx, minn = max(n, m), min(n, m)
    return n * m + count(maxx // 2 + (maxx % 2), minn) + count(maxx // 2, minn)


print(count(h, w))
